---
variables:
  PYLINT_THRESHOLD: "9.5"
  PYTEST_COVERAGE_THRESHOLD: "100"

include:
  - remote: "https://jobs.just-ci.dev/v3.4.6/docker/kaniko.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/black.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/pylint.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/pytest.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/bandit.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/safety.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/mypy.yml"
  - remote: "https://jobs.just-ci.dev/v3.4.6/python/semantic-release/private.yml"
